﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.Model
{
    public class House
    {
        public House(Player p)
        {
            Owner = p;
            Type = HouseType.NoBuilding;
        }
        /// <summary>
        /// Gets or sets the house type.
        /// </summary>
        public HouseType Type { get; set; }
        /// <summary>
        /// Gets or sets the owner of the house.
        /// </summary>
        public Player Owner { get; set; }
        /// <summary>
        /// Gets the id of the owner of the house.
        /// </summary>
        public int OwnerId { get => Owner.Id ; }

        /// <summary>
        /// Gets whether the house has an owner.
        /// </summary>
        public bool HasOwner { get => Owner is not null; }
    }
}
