﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.Model
{
    /// <summary>
    /// Represents a road.
    /// </summary>
    public class Road
    {
        /// <summary>
        /// Gets or sets the coordinates of the road.
        /// </summary>
        public RoadCoordinates Coordinates { get; set; }
        /// <summary>
        /// Gets or sets the owner's id.
        /// </summary>
        public int PlayerId { get; set; }

        Road()
        {
            Coordinates = new RoadCoordinates();
            PlayerId = -1;
        }

        public Road(RoadCoordinates roadCoordinates, int playerId)
        {
            Coordinates = new RoadCoordinates(roadCoordinates);
            PlayerId = playerId;
        }

        public Road(Road other)
        {
            Coordinates = new RoadCoordinates(other.Coordinates);
            PlayerId = other.PlayerId;
        }

    }
}
