﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.Model
{
    /// <summary>
    /// Represents the coordinates of the road.
    /// </summary>
    public struct RoadCoordinates
    {
        /// <summary>
        /// Gets or sets the first coordinate of the road.
        /// </summary>
        public NodeCoordinates From { get; private set; }

        /// <summary>
        /// Gets or sets the second coordinate of the road.
        /// </summary>
        public NodeCoordinates To { get; private set; }


        public RoadCoordinates (NodeCoordinates from, NodeCoordinates to)
        {
            From = from;
            To = to;
        }

        public RoadCoordinates( RoadCoordinates other)
        {
            From = new NodeCoordinates(other.From);
            To = new NodeCoordinates(other.To);
        }

    }
}
