﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.Model
{
    /// <summary>
    /// Represents The event args of the RoadPlaced event.
    /// </summary>
    public class RoadPlacedEventArgs : EventArgs
    {
        /// <summary>
        /// Gets or sets the first coordinate of the road.
        /// </summary>
        public NodeCoordinates FirstNode { get; set; }
        /// <summary>
        /// Gets or sets the second coordinate of the road.
        /// </summary>
        public NodeCoordinates SecondNode { get; set; }
        /// <summary>
        /// Gets of sets the id of the owner of the road.
        /// </summary>
        public int OwnerId { get; set; }
    }
}
