﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.Model
{
    /// <summary>
    /// Represents the arguments of the RoadsEnabled event
    /// </summary>
    public class RoadsEnabledEventArgs : EventArgs
    {
        /// <summary>
        /// Gets or sets the enabled roads.
        /// </summary>
        public List<RoadCoordinates> EnabledRoads { get; private set; }


        public RoadsEnabledEventArgs (List<RoadCoordinates> enabledRoads)
        {
            EnabledRoads = new List<RoadCoordinates>(enabledRoads); // copy to prevent side effects
        }
    }
}
