﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.Model
{
    /// <summary>
    /// Represents the event arguments of the robber moved event.
    /// </summary>
    public class RobberMovedEventArgs
    {
        /// <summary>
        /// Gets or sets the old position of the robber.
        /// </summary>
        public (int R, int Q) From { get; set; }

        /// <summary>
        /// Gets or sets the new position of the robber.
        /// </summary>
        public (int R, int Q) To { get; set; }

        public RobberMovedEventArgs((int R, int Q) from, (int R, int Q) to)
        {
            From = from;
            To = to;
        }
    }
}
