﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.Model
{
    /// <summary>
    /// Event arguments for rolls.
    /// </summary>
    public class RollEventArgs : EventArgs
    {
        private int _decies1;
        private int _decies2;

        /// <summary>
        /// Gets the first die roll result.
        /// </summary
        public int Decies1 { get { return _decies1; } }
        /// <summary>
        /// Gets the second die roll result.
        /// </summary>
        public int Decies2 { get { return _decies2; } }

        #region Constructor

        /// <summary>
        /// The constructor.
        /// </summary>
        /// <param name="decies1">The result of the first dice roll.</param>
        /// <param name="decies2">The result of the second dice roll.</param>
        public RollEventArgs(int decies1, int decies2)
        {
            _decies1 = decies1;
            _decies2 = decies2;
        }
        #endregion


    }
}
