﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Shapes;

namespace CatanGame.View
{
    /// <summary>
    /// Represents a line with outline.
    /// </summary>
    class LineWithOutline 
    {
        /// <summary>
        /// Gets or sets the line.
        /// </summary>
        public  Line Line { get; set; }
        /// <summary>
        /// Gets or sets the outline.
        /// </summary>
        public  Line Outline { get; set; }

        public LineWithOutline()
        {
            Line = new Line();
            Outline = new Line();
        }

        /// <summary>
        /// Gets or sets the X1 coordinate of the line.
        /// </summary>
        public double X1 
        { 
            get => Line.X1 ;
            set 
            {
                Line.X1 = value;
                Outline.X1 = value;
            }
        }

        /// <summary>
        /// Gets or sets the X2 coordinate of the line.
        /// </summary>
        public double X2
        {
            get => Line.X2;
            set
            {
                Line.X2 = value;
                Outline.X2 = value;
            }
        }

        /// <summary>
        /// Gets or sets the Y1 coordinate of the line.
        /// </summary>
        public double Y1
        {
            get => Line.Y1;
            set
            {
                Line.Y1 = value;
                Outline.Y1 = value;
            }
        }

        /// <summary>
        /// Gets or sets the Y2 coordinate of the line.
        /// </summary>
        public double Y2
        {
            get => Line.Y2;
            set
            {
                Line.Y2 = value;
                Outline.Y2 = value;
            }
        } 
    }
}
