﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.ViewModel
{
    public class FieldViewModel : ViewModelBase
    {

        private int _r;
        private int _q;
        private int _fieldNumber;
        private String _fieldType;
        private bool _hasRobber;
        private bool _canPlaceRobber;

        #region Public properties
        /// <summary>
        /// gets, sets the number of the row
        /// </summary>
        public int R
        {
            get => _r;
            set => ChangeProperty(ref _r, value);
        }
        /// <summary>
        /// gets, sets the number of the column
        /// </summary>
        public int Q
        {
            get => _q;
            set => ChangeProperty(ref _q, value);
        }
        /// <summary>
        /// gets, sets the fild number
        /// </summary>
        public int FieldNumber
        {
            get => _fieldNumber;
            set => ChangeProperty(ref _fieldNumber, value);
        }
        /// <summary>
        /// gets, sets the type of the card
        /// </summary>
        public String FieldType
        {
            get => _fieldType;
            set => ChangeProperty(ref _fieldType, value);
        }
        /// <summary>
        /// gets, sets there is this robber
        /// </summary>
        public bool HasRobber
        {
            get => _hasRobber;
            set => ChangeProperty(ref _hasRobber, value);
        }
        /// <summary>
        /// gets, sets can place the robber
        /// </summary>
        public bool CanPlaceRobber
        {
            get => _canPlaceRobber;
            set => ChangeProperty(ref _canPlaceRobber, value);
        }
        #endregion

        #region Public commands
        /// <summary>
        /// command for move the robber
        /// </summary>
        public DelegateCommand MoveRobberCommand { get; set; }
        #endregion
    }
}
