﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CatanGame.Model;

namespace CatanGame.ViewModel
{
    public class NodeViewModel : ViewModelBase
    {
        private String _houseType;
        private String _houseOwner;
        private int _houseOwnerId;
        private (int R, int Q, int D) _position;
        private bool _isBuildable;

        /// <summary>
        /// comman for upgrade node to city
        /// </summary>
        public DelegateCommand UpgradeNodeCommand { get; set; }
        
        /// <summary>
        /// gets, sets type of the house
        /// </summary>
        public String HouseType 
        { 
            get => _houseType; 
            set => ChangeProperty(ref _houseType, value); 
        }

        /// <summary>
        /// gets, setr the owner of the house
        /// </summary>
        public String HouseOwner 
        { 
            get => _houseOwner; 
            set => ChangeProperty(ref _houseOwner, value); 
        }

        /// <summary>
        /// gets, sets the owner id of the house
        /// </summary>
        public int HouseOwnerId
        {
            get => _houseOwnerId;
            set => ChangeProperty(ref _houseOwnerId, value);
        }

        /// <summary>
        /// gets, sets the position of the node
        /// </summary>
        public (int R, int Q, int D) Position 
        { 
            get => _position; 
            set => ChangeProperty(ref _position, value); 
        }

        /// <summary>
        /// gets, sets can bild a node
        /// </summary>
        public bool IsBuildable
        {
            get => _isBuildable;
            set => ChangeProperty(ref _isBuildable, value);  
        }
    }
}
