﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.ViewModel
{
    public class PlayerViewModel : ViewModelBase, IEquatable<PlayerViewModel>
    {
        private string _name;
        private int _id;
        private int _score;
        


        private ObservableDictionary<string, int> _resourceCnt;
        /// <summary>
        /// gets or sets the name of the player
        /// </summary>
        public string Name { get => _name; set => ChangeProperty(ref _name, value); }
        /// <summary>
        /// get or sets the id of the player
        /// </summary>
        public int Id { get => _id; set => ChangeProperty(ref _id, value); }
        /// <summary>
        /// gets or sets the score of the player
        /// </summary>
        public int Score { get => _score; set => ChangeProperty(ref _score, value); }
        /// <summary>
        /// gets or sets the count of resource
        /// </summary>
        public ObservableDictionary<string, int> ResourceCnt { get => _resourceCnt; set => ChangeProperty(ref _resourceCnt, value); }
        /// <summary>
        /// gets or sets the cards of the player
        /// </summary>
        public ObservableCollection<BonusCardsViewModel> Cards { get; set; }
        /// <summary>
        /// check this object equals with the other object
        /// </summary>
        /// <param name="other"></param>
        /// <returns></returns>
        public bool Equals(PlayerViewModel other)
        {
            return this.Id == other.Id;
        }
    }
}
