﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CatanGame.Model;

namespace CatanGame.ViewModel
{
    public class RoadViewModel : ViewModelBase
    {
        private (int FirstNodeId, int SecondNodeId) _position;
        private int _ownerId;
        private bool _isBuildable;

        /// <summary>
        /// command for place road
        /// </summary>
        public DelegateCommand PlaceRoadCommand { get; set; }

        /// <summary>
        /// gets or sets the current player can build road
        /// </summary>
        public bool IsBuildable
        {
            get => _isBuildable;
            set => ChangeProperty(ref _isBuildable, value);
        }

        /// <summary>
        /// gets or sets the first node id
        /// </summary>
        public (int FirstNodeId, int SecondNodeId) Position
        {
            get => _position;
            set => ChangeProperty(ref _position, value);
        }
        /// <summary>
        /// get or sets the owner id
        /// </summary>
        public int OwnerId
        {
            get => _ownerId;
            set => ChangeProperty(ref _ownerId, value);
        }

        /// <summary>
        /// command for build road
        /// </summary>
        public DelegateCommand BuildRoadCommand;
    }
}
