﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CatanGame.Model;

namespace CatanGame.ViewModel
{
    public class TradeAcceptedEventArgs
    {
        /// <summary>
        /// gets or sets Offered resorces
        /// </summary>
        public List<(ResourceType, int)> OfferedResources { get; private set; }
        /// <summary>
        /// gets or sets requested resorces
        /// </summary>
        public List<(ResourceType, int)> RequestedResources { get; private set; }

        /// <summary>
        /// constructor
        /// </summary>
        /// <param name="offeredResources">Offered resorces</param>
        /// <param name="requestedResources">requested resorces</param>
        public TradeAcceptedEventArgs(List<(ResourceType, int)> offeredResources, List<(ResourceType, int)> requestedResources)
        {
            OfferedResources = offeredResources;
            RequestedResources = requestedResources;
        }
    }
}
